Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package ast
  Definition Classes
    nsc
-  package parser
  Definition Classes
    ast
-  trait Scanners extends ScannersCommon
  Definition Classes
    parser
- CommonTokenData
- DocScanner
- MalformedInput
- ParensAnalyzer
- Scanner
- ScannerCommon
- ScannerData
- SourceFileScanner
- TokenData
- UnitScanner

t

scala.tools.nsc.ast.parser.Scanners

# TokenData 

###

#### trait TokenData extends CommonTokenData

Source
  Scanners.scala

Linear Supertypes
Scanners.CommonTokenData, AnyRef, Any
Known Subclasses
ParensAnalyzer, Scanner, ScannerData, SourceFileScanner, UnitScanner, ScaladocUnitScanner
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TokenData
2. CommonTokenData
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from TokenData to any2stringadd[TokenData] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (TokenData, B)
   Implicit
     This member is added by an implicit conversion from TokenData to ArrowAssoc[TokenData] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  val base: Int

   the base of a number

8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
9.  def copyFrom(td: TokenData): TokenData.this.type
10.  def ensuring(cond: (TokenData) ⇒ Boolean, msg: ⇒ Any): TokenData
    Implicit
      This member is added by an implicit conversion from TokenData to Ensuring[TokenData] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: (TokenData) ⇒ Boolean): TokenData
    Implicit
      This member is added by an implicit conversion from TokenData to Ensuring[TokenData] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean, msg: ⇒ Any): TokenData
    Implicit
      This member is added by an implicit conversion from TokenData to Ensuring[TokenData] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean): TokenData
    Implicit
      This member is added by an implicit conversion from TokenData to Ensuring[TokenData] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from TokenData to StringFormat[TokenData] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  val lastOffset: Scanners.Offset

    the offset of the character following the token preceding this one

22.  val name: Global.TermName

    the name of an identifier

    the name of an identifier

    Definition Classes
      TokenData → CommonTokenData
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
26.  val offset: Scanners.Offset

    the offset of the first character of the current token

27.  val strVal: String

    the string value of a literal

28.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
29.  def toString(): String
    Definition Classes
      AnyRef → Any
30.  val token: Scanners.Token

    the next token

    the next token

    Definition Classes
      TokenData → CommonTokenData
31.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
34.  def →[B](y: B): (TokenData, B)
    Implicit
      This member is added by an implicit conversion from TokenData to ArrowAssoc[TokenData] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Scanners.CommonTokenData

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from TokenData to any2stringadd[TokenData]

### Inherited by implicit conversion StringFormat from TokenData to StringFormat[TokenData]

### Inherited by implicit conversion Ensuring from TokenData to Ensuring[TokenData]

### Inherited by implicit conversion ArrowAssoc from TokenData to ArrowAssoc[TokenData]

### Ungrouped